Name:           perl-Alien-LZO
%global debug_package %{nil}
Version:        0.03
Release:        1%{?dist}
Summary:        Build and make available LZO
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Alien-LZO/
Source0:        http://www.cpan.org/authors/id/P/PL/PLICEASE/Alien-LZO-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 0:5.006
BuildRequires:  perl(Alien::Base) >= 0.038
BuildRequires:  perl(Alien::Build) >= 0.32
BuildRequires:  perl(Alien::Build::MM) >= 0.32
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Test2::V0) >= 0.000121
BuildRequires:  perl(Test::Alien)
BuildRequires:  perl(Test::More) >= 0.98
BuildRequires:  pkgconfig(lzo2)
BuildRequires:  perl-generators
BuildRequires:  perl(Sort::Versions)
Requires:       perl(Alien::Base) >= 0.038
Requires:       pkgconfig(lzo2)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Provides:       perl(Alien::LZO)

%description
This distribution provides lzo so that it can be used by other Perl
distributions that are on CPAN. It does this by first trying to detect
an existing install of lzo on your system. If found it will use that. If
it cannot be found, the source code will be downloaded from the internet
and it will be installed in a private share location for the use of
other modules.

%prep
%setup -q -n Alien-LZO-%{version}
perl -pi.bak -e "s/(share {)/probe sub { 'system' }; meta->prop->{arch} = 0; \1/" ./alienfile

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes LICENSE META.json README alienfile author.yml dist.ini perlcriticrc
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Tue Oct 15 2024 rpm 0.03-1
- Specfile autogenerated by cpanspec 1.78.
